@media only screen and (max-width: 1280px) {
    article {
        padding: 5.5rem 0
    }

    article>section {
        width: 1024px;
    }

    .thumb {
        width: 175px;
        height:175px;
    }

    .project img.icon {
        width: 25px;
        height:25px;
    }


    .letter-drawing svg {
        /* transform: scale(90%) */
        height: 70px;
    }
    
    .letter-drawing::before {
        /* transform: scale(90%) */
        height: 70px;
    }

    :root {
        --bottom-margin: 175
    }
}



@media only screen and (max-width: 1024px) {
    h3 {
        font-size: 1.2em;
    }

    article {
        padding: 5rem 0
    }

    article>section {
        width: 768px;
    }

    .skill-level {
        background:
            repeating-linear-gradient(75deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 -10px,
            repeating-linear-gradient(105deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 10px;
        
        width: 400px;
        height: 20px;
    }


    .thumb {
        width: 150px;
        height:150px;
    }

    .project img.icon {
        width: 20px;
        height:20px;
    }


    .letter-drawing svg {
        /* transform: scale(80%) */
        height: 60px;
    }
    
    .letter-drawing::before {
        /* transform: scale(80%) */
        height: 60px;
    }

    :root {
        --bottom-margin: 150
    }
}



@media only screen and (max-width: 768px) {
    header #topBG #lang {
        top: 90px
    }

    #topBG {
        background: none;
    }

    h3 {
        font-size: 1em;
    }

    nav {
        z-index: 5;
    }

    article {
        padding: 4.5rem 0
    }

    article>section {
        width: 640px;
    }

    .skill-level {
        background:
            repeating-linear-gradient(75deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 -8px,
            repeating-linear-gradient(105deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 8px;
        
        width: 300px;
        height: 16px;
    }

    .skill img.icon {
        width: 40px;
        height:40px;
    }


    .thumb {
        width: 140px;
        height:140px;
    }

    .project img.icon {
        width: 20px;
        height:20px;
    }


    .letter-drawing svg {
        /* transform: scale(70%) */
        height: 55px;
    }
    
    .letter-drawing::before {
        /* transform: scale(70%) */
        height: 55px;
    }

    :root {
        --bottom-margin: 125
    }
}



@media only screen and (max-width: 640px) {
    #topBG {
        flex-grow: 0;
        flex-direction: column;
    }

    #name {
        line-height: 0;
        height: 50%;
        margin: 0 10px;
        justify-content: end;
        align-self: flex-start;
    }

    #info {
        position: absolute;
        margin: 0 10px;
        align-self: flex-start;
    }

    nav ul {
        font-size: 0.9em;
        justify-content: space-evenly;
    }

    h3 {
        font-size: 0.9em;
    }

    article {
        padding: 3.5rem 0
    }

    article>section {
        width: 480px;
    }

    .skill-level {
        background:
            repeating-linear-gradient(75deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 -7px,
            repeating-linear-gradient(105deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 7px;

        width: 200px;
        height: 14px;
    }

    .skill img.icon {
        width: 35px;
        height:35px;
    }


    .thumb {
        width: 125px;
        height:125px;
    }

    .project img.icon {
        width: 20px;
        height:20px;
    }

    article#contact input[name="name"] {
        min-width: 45%;
    }
    
    article#contact input[name="phone"] {
        min-width: 45%;
    }    

    .letter-drawing svg {
        /* transform: scale(60%) */
        height: 50px;
    }
    
    .letter-drawing::before {
        /* transform: scale(60%) */
        height: 50px;
    }

    :root {
        --bottom-margin: 100
    }
}



@media only screen and (max-width: 480px) {
    nav ul li {
        font-size: 0.8em;
    }

    h3 {
        font-size: 0.8em;
    }

    article {
        padding: 3rem 0
    }

    article>section {
        width: 360px;
        padding: 0 25px;
    }

    .skill-level {
        background:
            repeating-linear-gradient(75deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 -6px,
            repeating-linear-gradient(105deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 6px;

        width: 150px;
        height: 12px;
    }

    .skill img.icon {
        width: 30px;
        height:30px;
    }


    .thumb {
        width: 100px;
        height:100px;
    }

    .project img.icon {
        width: 20px;
        height:20px;
    }

    article#contact input[name="name"] {
        flex-grow: 1;
        max-width: unset;
    }
    
    article#contact input[name="phone"] {
        flex-grow: 1;
        max-width: unset;
    }    

    .letter-drawing svg {
        /* transform: scale(50%) */
        height: 45px;
    }
    
    .letter-drawing::before {
        /* transform: scale(50%) */
        height: 45px;
    }

    :root {
        --bottom-margin: 100
    }
}



@media only screen and (max-width: 360px) {
    h3 {
        font-size: 0.6em;
    }

    nav ul {
        position: relative;
        flex-direction: column;
    }

    article {
        padding: 3rem 0
    }

    article>section {
        width: 280px;
        padding: 0 20px;
    }

    .skill-level {
        background:
            repeating-linear-gradient(75deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 -5px,
            repeating-linear-gradient(105deg, #d5d5d5 0 2%, #ddd 0 4%) no-repeat 0 5px;

        width: 125px;
        height: 10px;
    }

    .skill img.icon {
        width: 20px;
        height:20px;
    }

    .project {
        margin: 10px
    }

    .thumb {
        width: 70px;
        height:70px;
        margin-bottom: 5px;
    }

    .project img.icon {
        width: 15px;
        height:15px;
    }

    .letter-drawing svg {
        /* transform: scale(40%) */
        height: 40px;
    }
    
    .letter-drawing::before {
        /* transform: scale(40%) */
        height: 40px;
    }

    #description {
        width: 280;
        padding: 100px 10px;
    }
}



